Summary: A utility for determining file types.
Name: file
Version: 3.26
Release: 6
Copyright: distributable
Group: Applications/File
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Source1: gimp.magic
Patch0: file-3.22-glibc.patch
Patch1: file-3.26-sparcv9.patch
Patch2: file-3.26-realmedia.patch
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%prep
%setup -q
%patch0 -p1 -b .glibc
%patch1 -p1
%patch2 -p1 -b .realmedia

# This overwrites -- check on version change.
rm -f ./Magdir/gimp
cp %SOURCE1 ./Magdir/gimp

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

{ cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/file
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/file
%{_prefix}/share/magic
%{_prefix}/man/man1/file.1
%{_prefix}/man/man4/magic.4

%changelog
* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- experimental support for realmedia files added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binary.

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.
